import 'package:comunic/models/user.dart';
import 'package:comunic/ui/routes/settings/account_image_settings.dart';
import 'package:comunic/ui/widgets/account_image_widget.dart';
import 'package:comunic/ui/widgets/tour/presentation_pane.dart';
import 'package:comunic/utils/intl_utils.dart';
import 'package:flutter/material.dart';

class AccountImageTourPane extends PresentationPane {
  AccountImageTourPane({@required User user})
      : super(
            iconWidget: AccountImageWidget(user: user, width: 50),
            title: tr("Account image"),
            text: tr(
                "Account image allow to quickly recognize people.\n\nYou can decide to define one now!"),
            actionTitle: tr("Upload an account image"),
            onActionTap: (ctx) async {
              await uploadNewAccountImage(ctx);
            });
}
